package cz.moneta.test.harness.endpoints;

import cz.moneta.test.harness.connectors.WsConnector;

import javax.xml.namespace.QName;
import java.net.URL;

public abstract class BaseWsEndpoint implements Endpoint {

    private final WsConnector connector;

    public BaseWsEndpoint(String address, URL wsdlUrl, QName serviceName) {
        connector = new WsConnector(address, wsdlUrl, serviceName);
    }

    public <RESP> RESP invoke(Object request, Class<RESP> responseClass) {
        return connector.invoke(request, responseClass);
    }

}
